package com.ekexiu.project.department;

import org.jfw.apt.annotation.Nullable;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.OrderBy;
import org.jfw.apt.orm.annotation.dao.method.operator.PageSelect;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectList;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectOne;
import org.jfw.apt.orm.annotation.dao.param.Like;
import org.jfw.util.PageQueryResult;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;

/**
 * Created by TT on 2019/5/30.
 */
@DAO
public interface DepartmentDao {

    @Nullable
    @SelectOne
    Department query(Connection con, String id) throws SQLException;

    @PageSelect
    @OrderBy("ORDER BY CREATE_TIME DESC")
    PageQueryResult<Department> pageQuery(Connection con, @Nullable Boolean active, @Nullable @Like String name, int pageSize, int pageNo) throws SQLException;

    @SelectList
    @OrderBy("ORDER BY CREATE_TIME DESC")
    List<Department> listQuery(Connection con, String hospital, @Nullable Boolean active) throws SQLException;
}
