package com.ekexiu.project.doctor;

import com.ekexiu.project.base.po.BaseTable;
import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.annotation.entry.Unique;
import org.jfw.apt.orm.annotation.entry.Uniques;
import org.jfw.apt.orm.core.defaultImpl.StringHandler;
import org.jfw.apt.orm.core.enums.DE;

/**
 * Created by TT on 2019/5/30.
 */
@Table(descp = "医生", value = "DOCTOR")
@PrimaryKey("id")
@Uniques({@Unique(clolumns = "account", name = "UC_DOCTOR_ACCOUNT")})
public class Doctor implements BaseTable {
    private String id;
    private String hospital;
    private String department;
    private String account;
    private String name;
    private String clinicalTitle;
    private String teachTitle;
    private String position;
    private String direction;
    private String image;
    private String descp;
    private boolean active;
    private String passwd;

    private String createTime;
    private String modifyTime;
    private String creator;
    private String modifier;

    @Column(descp = "医生ID", value = DE.id_32)
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @Column(descp = "医院ID", value = DE.id_32)
    public String getHospital() {
        return hospital;
    }

    public void setHospital(String hospital) {
        this.hospital = hospital;
    }

    @Column(descp = "医院ID", value = DE.REFID_32)
    public String getDepartment() {
        return department;
    }

    public void setDepartment(String department) {
        this.department = department;
    }

    @Column(descp = "帐号", value = DE.text_de)
    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    @Column(descp = "医生姓名", value = DE.text_de)
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Column(descp = "临床职称", value = DE.Text_de)
    public String getClinicalTitle() {
        return clinicalTitle;
    }

    public void setClinicalTitle(String clinicalTitle) {
        this.clinicalTitle = clinicalTitle;
    }

    @Column(descp = "教学职称", value = DE.Text_de)
    public String getTeachTitle() {
        return teachTitle;
    }

    public void setTeachTitle(String teachTitle) {
        this.teachTitle = teachTitle;
    }

    @Column(descp = "行政职务", value = DE.Text_de)
    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    @Column(descp = "擅长方向", value = DE.Text_de)
    public String getDirection() {
        return direction;
    }

    public void setDirection(String direction) {
        this.direction = direction;
    }

    @Column(descp = "图片", value = DE.String_de)
    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    @Column(descp = "个人简介", value = DE.Text_de)
    public String getDescp() {
        return descp;
    }

    public void setDescp(String descp) {
        this.descp = descp;
    }

    @Column(descp = "是否可用", value = DE.boolean_de)
    public boolean isActive() {
        return active;
    }

    public void setActive(boolean active) {
        this.active = active;
    }

    @Column(descp = "密码(MD5)", queryable = false, handlerClass = StringHandler.class, dbType = "TEXT")
    public String getPasswd() {
        return passwd;
    }

    public void setPasswd(String passwd) {
        this.passwd = passwd;
    }

    @Override
    public String getCreateTime() {
        return createTime;
    }

    @Override
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    @Override
    public String getModifyTime() {
        return modifyTime;
    }

    @Override
    public void setModifyTime(String modifyTime) {
        this.modifyTime = modifyTime;
    }

    @Override
    public String getCreator() {
        return creator;
    }

    @Override
    public void setCreator(String creator) {
        this.creator = creator;
    }

    @Override
    public String getModifier() {
        return modifier;
    }

    @Override
    public void setModifier(String modifier) {
        this.modifier = modifier;
    }
}
