package com.ekexiu.project.doctor;

import org.jfw.apt.annotation.Nullable;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.OrderBy;
import org.jfw.apt.orm.annotation.dao.method.operator.PageSelect;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectOne;
import org.jfw.apt.orm.annotation.dao.param.GroupSqlColumn;
import org.jfw.apt.orm.annotation.dao.param.SqlColumn;
import org.jfw.apt.orm.core.defaultImpl.StringHandler;
import org.jfw.util.PageQueryResult;

import java.sql.Connection;
import java.sql.SQLException;

/**
 * Created by TT on 2019/5/30.
 */
@DAO
public interface DoctorDao {

    @SelectOne
    @Nullable
    Doctor query(Connection con, String id) throws SQLException;

    @PageSelect
    @OrderBy("ORDER BY CREATE_TIME DESC")
    PageQueryResult<Doctor> pageQuery(Connection con, @Nullable Boolean active, @Nullable @SqlColumn(handlerClass = StringHandler.class, value = "HOSPITAL IN (SELECT ID FROM HOSPITAL WHERE ADDR LIKE ?)") String addr, @Nullable String clinicalTitle, @Nullable @SqlColumn(handlerClass = StringHandler.class, value = "HOSPITAL in (select id from hospital where level = ?)") String level, @Nullable @GroupSqlColumn(handlerClass = StringHandler.class, value = {"NAME LIKE ?", "DIRECTION LIKE ?", "DEPARTMENT IN (SELECT ID FROM DEPARTMENT WHERE NAME LIKE ?)"}, isAnd = false) String key, int pageSize, int pageNo) throws SQLException;

    @PageSelect
    @OrderBy("ORDER BY CREATE_TIME DESC")
    PageQueryResult<Doctor> pageQuery(Connection con, String hospital, @Nullable Boolean active, int pageSize, int pageNo) throws SQLException;

    @PageSelect
    @OrderBy("ORDER BY CREATE_TIME DESC")
    PageQueryResult<Doctor> pageQuery(Connection con, String hospital, String department, @Nullable boolean active, int pageSize, int pageNo) throws SQLException;
}
