package com.ekexiu.project.hospital;

import com.ekexiu.project.base.po.BaseTable;
import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.annotation.entry.Unique;
import org.jfw.apt.orm.annotation.entry.Uniques;
import org.jfw.apt.orm.core.defaultImpl.StringHandler;
import org.jfw.apt.orm.core.enums.DE;

/**
 * Created by TT on 2019/5/30.
 */
@Table(descp = "医院登录表", value = "HOSPITAL")
@PrimaryKey("id")
@Uniques({@Unique(clolumns = "account", name = "UC_HOSPITAL_ACCOUNT")})
public class Hospital implements BaseTable {
    private String id;
    private String passwd;

    private String account;
    private String name;
    private String level;
    private String subLevel;
    private String type;
    private String phone;
    private String location;
    private String addr;
    private String descp;
    private String image;
    private boolean active;

    private String createTime;
    private String modifyTime;
    private String creator;
    private String modifier;


    @Column(descp = "医院ID", value = DE.id_32)
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @Column(descp = "密码(MD5)", queryable = false, handlerClass = StringHandler.class, dbType = "TEXT")
    public String getPasswd() {
        return passwd;
    }

    public void setPasswd(String passwd) {
        this.passwd = passwd;
    }

    @Column(descp = "医院帐号", value = DE.text_de)
    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    @Column(descp = "医院名称", value = DE.text_de)
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Column(descp = "医院级别", value = DE.singleChar)
    public String getLevel() {
        return level;
    }


    public void setLevel(String level) {
        this.level = level;
    }

    @Column(descp = "医院子级别", value = DE.singleChar)
    public String getSubLevel() {
        return subLevel;
    }

    public void setSubLevel(String subLevel) {
        this.subLevel = subLevel;
    }

    @Column(descp = "医院类型", value = DE.singleChar)
    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    @Column(descp = "电话", value = DE.Text_de)
    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    @Column(descp = "医院详细地址", value = DE.Text_de)
    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    @Column(descp = "医院所在城市编码", value = DE.String_de)
    public String getAddr() {
        return addr;
    }

    public void setAddr(String addr) {
        this.addr = addr;
    }

    @Column(descp = "医院简介", value = DE.Text_de)
    public String getDescp() {
        return descp;
    }

    public void setDescp(String descp) {
        this.descp = descp;
    }

    @Column(descp = "医院图片", value = DE.Text_de)
    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    @Column(descp = "是否可用", value = DE.boolean_de)
    public boolean isActive() {
        return active;
    }

    public void setActive(boolean active) {
        this.active = active;
    }

    @Override
    public String getCreateTime() {
        return createTime;
    }

    @Override
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    @Override
    public String getModifyTime() {
        return modifyTime;
    }

    @Override
    public void setModifyTime(String modifyTime) {
        this.modifyTime = modifyTime;
    }

    @Override
    public String getCreator() {
        return creator;
    }

    @Override
    public void setCreator(String creator) {
        this.creator = creator;
    }

    @Override
    public String getModifier() {
        return modifier;
    }

    @Override
    public void setModifier(String modifier) {
        this.modifier = modifier;
    }
}
