package com.ekexiu.project.instrument;

import org.jfw.apt.annotation.Nullable;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.OrderBy;
import org.jfw.apt.orm.annotation.dao.method.operator.PageSelect;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectOne;
import org.jfw.apt.orm.annotation.dao.param.GroupSqlColumn;
import org.jfw.apt.orm.annotation.dao.param.SqlColumn;
import org.jfw.apt.orm.core.defaultImpl.StringHandler;
import org.jfw.util.PageQueryResult;

import java.sql.Connection;
import java.sql.SQLException;

/**
 * Created by TT on 2019/5/30.
 */
@DAO
public interface InstrumentDao {

    @Nullable
    @SelectOne
    Instrument query(Connection con, String id) throws SQLException;

    @PageSelect
    @OrderBy("ORDER BY CREATE_TIME DESC")
    PageQueryResult<Instrument> pageQuery(Connection con, @Nullable Boolean active, @Nullable @SqlColumn(handlerClass = StringHandler.class, value = "HOSPITAL IN (SELECT ID FROM HOSPITAL WHERE ADDR LIKE ?)") String addr, @Nullable @SqlColumn(handlerClass = StringHandler.class, value = "HOSPITAL IN (SELECT ID FROM HOSPITAL WHERE LEVEL = ?)") String level, @Nullable String status, @Nullable @GroupSqlColumn(handlerClass = StringHandler.class, value = {"NAME LIKE ?", "HOSPITAL IN (SELECT ID FROM HOSPITAL WHERE NAME LIKE ?)", "SPEC LIKE ?"}, isAnd = false) String key, int pageSize, int pageNo) throws SQLException;

    @PageSelect
    @OrderBy("ORDER BY CREATE_TIME DESC")
    PageQueryResult<Instrument> pageQuery(Connection con, String hospital, @Nullable Boolean active, int pageSize, int pageNo) throws SQLException;

    @PageSelect
    @OrderBy("ORDER BY CREATE_TIME DESC")
    PageQueryResult<Instrument> pageQuery(Connection con, String hospital,String department, @Nullable Boolean active, int pageSize, int pageNo) throws SQLException;
}
