package com.ekexiu.project.instrument;

import org.jfw.apt.annotation.Autowrie;
import org.jfw.apt.annotation.Nullable;
import org.jfw.apt.web.annotation.Path;
import org.jfw.apt.web.annotation.operate.Get;
import org.jfw.apt.web.annotation.param.JdbcConn;
import org.jfw.util.PageQueryResult;

import java.sql.Connection;
import java.sql.SQLException;

/**
 * Created by TT on 2019/5/30.
 */
@Path("/instrument")
public class InstrumentService {

    @Autowrie
    private InstrumentDao instrumentDao;

    public InstrumentDao getInstrumentDao() {
        return instrumentDao;
    }

    public void setInstrumentDao(InstrumentDao instrumentDao) {
        this.instrumentDao = instrumentDao;
    }


    @Path("/qo")
    @Get
    public Instrument query(@JdbcConn Connection con, String id) throws SQLException {
        return instrumentDao.query(con, id);
    }

    @Path("/pq")
    @Get
    public PageQueryResult<Instrument> pageQuery(@JdbcConn Connection con, @Nullable Boolean active, @Nullable String addr, @Nullable String level, @Nullable String status, @Nullable String key, int pageSize, int pageNo) throws SQLException {
        return instrumentDao.pageQuery(con, active, addr == null ? null : addr + "%", level, status, key == null ? null : "%" + key + "%", pageSize, pageNo);
    }

    @Path("/hospital")
    @Get
    public PageQueryResult<Instrument> pageQuery(@JdbcConn Connection con, @Nullable Boolean active, String hospital, int pageSize, int pageNo) throws SQLException {
        return instrumentDao.pageQuery(con, hospital, active, pageSize, pageNo);
    }

    @Path("/department")
    @Get
    public PageQueryResult<Instrument> pageQuery(@JdbcConn Connection con, @Nullable Boolean active, String hospital, String department, int pageSize, int pageNo) throws SQLException {
        return instrumentDao.pageQuery(con, hospital, department, active, pageSize, pageNo);
    }


}